﻿/**Begin D:\PDM_UPGRADE\PDM1\HOMS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HOMS_ORGCHGBILL', 'T_HOMS_ORGCHGBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILL') CREATE INDEX IDX_HOMS_ORGCHGBILL ON T_HOMS_ORGCHGBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_HOMS_ORGCHGBILLENTRY', 'T_HOMS_ORGCHGBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILLENTRY_FID') CREATE INDEX IDX_HOMS_ORGCHGBILLENTRY_FID ON T_HOMS_ORGCHGBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_HOMS_ORGCHGBILLCOOP', 'T_HOMS_ORGCHGBILLCOOP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILLCOOP') CREATE INDEX IDX_HOMS_ORGCHGBILLCOOP ON T_HOMS_ORGCHGBILLCOOP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILLCOOP_ORG') CREATE INDEX IDX_HOMS_ORGCHGBILLCOOP_ORG ON T_HOMS_ORGCHGBILLCOOP ( FORGTEAMID );


 EXEC P_ALTERPK 'PK_HOMS_ORGCHGBILL_L', 'T_HOMS_ORGCHGBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILL_L') CREATE INDEX IDX_HOMS_ORGCHGBILL_L ON T_HOMS_ORGCHGBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HOMS_ORGCHGBILLENTRY_L', 'T_HOMS_ORGCHGBILLENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_ORGCHGBILLENTRY_L') CREATE INDEX IDX_HOMS_ORGCHGBILLENTRY_L ON T_HOMS_ORGCHGBILLENTRY_L ( FENTRYID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\HOMS_constraint.sql **/
