﻿/**Begin D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGBILL') 
 CREATE TABLE T_HOMS_ORGCHGBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(8) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FISSUBMIT VARCHAR(8) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '2' NOT NULL,
FISMULTIENTRY CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEFFDT DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGBILLENTRY') 
 CREATE TABLE T_HOMS_ORGCHGBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FBILLPARENTID BIGINT DEFAULT 0 NOT NULL,
FORIPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FORINAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FORGTYPEID BIGINT DEFAULT 0 NOT NULL,
FESTABLISHMENTDATE DATETIME,
FCORPORATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYAREAID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMPANYTYPEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FGROUPVISION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FGROUPLEADER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONING NCLOB DEFAULT ' ',
FMAINDUTY NCLOB DEFAULT ' ',
FSAFELEVELID BIGINT DEFAULT 0 NOT NULL,
FSAFETYPEID BIGINT DEFAULT 0 NOT NULL,
FSAFEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FBEFOREBASEINFOID BIGINT DEFAULT 0 NOT NULL,
FAFTERBASEINFOID BIGINT DEFAULT 0 NOT NULL,
FBEFORESTRUCTID BIGINT DEFAULT 0 NOT NULL,
FAFTERSTRUCTID BIGINT DEFAULT 0 NOT NULL,
FBEFOREDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FAFTERDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FBEFORECOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAFTERCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FBEFOREGROUPID BIGINT DEFAULT 0 NOT NULL,
FAFTERGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGBILLCOOP') 
 CREATE TABLE T_HOMS_ORGCHGBILLCOOP (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOOPRELID BIGINT DEFAULT 0 NOT NULL,
FORGTEAMID BIGINT DEFAULT 0 NOT NULL,
FTEAMCOOPRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGBILL_L') 
 CREATE TABLE T_HOMS_ORGCHGBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGBILLENTRY_L') 
 CREATE TABLE T_HOMS_ORGCHGBILLENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPVISION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FGROUPLEADER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSITIONING NCLOB DEFAULT ' ',
FMAINDUTY NCLOB DEFAULT ' ',
FSAFEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
