﻿/**Begin D:\PDM_UPGRADE\PDM1\HOMS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HOMS_CARDSTYLE', 'T_HOMS_CARDSTYLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYLE') CREATE INDEX IDX_HOMS_CARDSTYLE ON T_HOMS_CARDSTYLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HOMS_CARDSTYLE_L', 'T_HOMS_CARDSTYLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYLE_L') CREATE INDEX IDX_HOMS_CARDSTYLE_L ON T_HOMS_CARDSTYLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HOMS_CARDCONTENT_L', 'T_HOMS_CARDCONTENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDCONTENT_L') CREATE INDEX IDX_HOMS_CARDCONTENT_L ON T_HOMS_CARDCONTENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HOMS_CARDSTYLEENTRY', 'T_HOMS_CARDSTYLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYLEENTRY_FID') CREATE INDEX IDX_HOMS_CARDSTYLEENTRY_FID ON T_HOMS_CARDSTYLEENTRY ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CHARTSTYLE', 'T_HOMS_CHARTSTYLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CHARTSTYLE') CREATE INDEX IDX_HOMS_CHARTSTYLE ON T_HOMS_CHARTSTYLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HOMS_CHARTSTYLE_L', 'T_HOMS_CHARTSTYLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CHARTSTYLE_L') CREATE INDEX IDX_HOMS_CHARTSTYLE_L ON T_HOMS_CHARTSTYLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HOMS_CARDSTYLEENTRY_L', 'T_HOMS_CARDSTYLEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYLEENTRY_L') CREATE INDEX IDX_HOMS_CARDSTYLEENTRY_L ON T_HOMS_CARDSTYLEENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HOMS_CARDSTYLEORGENTRY', 'T_HOMS_CARDSTYLEORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYLEORGENTRY_FID') CREATE INDEX IDX_HOMS_CARDSTYLEORGENTRY_FID ON T_HOMS_CARDSTYLEORGENTRY ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CHASTYORGENTRY', 'T_HOMS_CHASTYORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CHASTYORGENTRY_FID') CREATE INDEX IDX_HOMS_CHASTYORGENTRY_FID ON T_HOMS_CHASTYORGENTRY ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CHARTSTYLEENTRY', 'T_HOMS_CHARTSTYLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CHARTSTYLEENTRY_FID') CREATE INDEX IDX_HOMS_CHARTSTYLEENTRY_FID ON T_HOMS_CHARTSTYLEENTRY ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CARDSTYDIMENSION', 'T_HOMS_CARDSTYDIMENSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDSTYDIMENSION') CREATE INDEX IDX_HOMS_CARDSTYDIMENSION ON T_HOMS_CARDSTYDIMENSION ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CRTSTYDIMENSION', 'T_HOMS_CRTSTYDIMENSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CRTSTYDIMENSION') CREATE INDEX IDX_HOMS_CRTSTYDIMENSION ON T_HOMS_CRTSTYDIMENSION ( FID );


 EXEC P_ALTERPK 'PK_HOMS_CARDDIMENSION', 'T_HOMS_CARDDIMENSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDDIMENSION') CREATE INDEX IDX_HOMS_CARDDIMENSION ON T_HOMS_CARDDIMENSION ( FNUMBER );


 EXEC P_ALTERPK 'PK_HOMS_CARDDIMENSION_L', 'T_HOMS_CARDDIMENSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HOMS_CARDDIMENSION_L') CREATE INDEX IDX_HOMS_CARDDIMENSION_L ON T_HOMS_CARDDIMENSION_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\HOMS_constraint.sql **/
