﻿/**Begin D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILL' AND KSQL_COL_NAME IN ('FDISPATCHNAME')) 
 ALTER TABLE T_HOMS_ORGCHGBILL ADD (FDISPATCHNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILL' AND KSQL_COL_NAME IN ('FDISPATCHNUMBER')) 
 ALTER TABLE T_HOMS_ORGCHGBILL ADD (FDISPATCHNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILL' AND KSQL_COL_NAME IN ('FISTODIAGRAM')) 
 ALTER TABLE T_HOMS_ORGCHGBILL ADD (FISTODIAGRAM CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILLENTRY' AND KSQL_COL_NAME IN ('FCHANGESCENEID')) 
 ALTER TABLE T_HOMS_ORGCHGBILLENTRY ADD (FCHANGESCENEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILLENTRY' AND KSQL_COL_NAME IN ('FADMINORGLAYERID')) 
 ALTER TABLE T_HOMS_ORGCHGBILLENTRY ADD (FADMINORGLAYERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_ORGCHGBILLENTRY' AND KSQL_COL_NAME IN ('FIMPORTBATCH')) 
 ALTER TABLE T_HOMS_ORGCHGBILLENTRY ADD (FIMPORTBATCH BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_CHGBILLDISORG') 
 CREATE TABLE T_HOMS_CHGBILLDISORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_OCBMERGSPLITENTRY') 
 CREATE TABLE T_HOMS_OCBMERGSPLITENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FCHANGESCENEID BIGINT DEFAULT 0 NOT NULL,
FADJUSTDETAIL NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_MSSOURCEORG') 
 CREATE TABLE T_HOMS_MSSOURCEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_MSTARGETORG') 
 CREATE TABLE T_HOMS_MSTARGETORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_CARDSTYLE' AND KSQL_COL_NAME IN ('FUSAGE')) 
 ALTER TABLE T_HOMS_CARDSTYLE ADD (FUSAGE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_CARDCONTENT' AND KSQL_COL_NAME IN ('FSAMPLEDATE')) 
 ALTER TABLE T_HOMS_CARDCONTENT ADD (FSAMPLEDATE NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_CARDCONTENT_L' AND KSQL_COL_NAME IN ('FSAMPLEDATE')) 
 ALTER TABLE T_HOMS_CARDCONTENT_L ADD (FSAMPLEDATE NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_CARDSTYLEORGENTRY' AND KSQL_COL_NAME IN ('FISCONTAINSLOWER')) 
 ALTER TABLE T_HOMS_CARDSTYLEORGENTRY ADD (FISCONTAINSLOWER CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOMS_CHASTYORGENTRY' AND KSQL_COL_NAME IN ('FISCONTAINSLOWER')) 
 ALTER TABLE T_HOMS_CHASTYORGENTRY ADD (FISCONTAINSLOWER CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_PERSONALSTYLE') 
 CREATE TABLE T_HOMS_PERSONALSTYLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FROOTORG BIGINT DEFAULT 0 NOT NULL,
FCONTENT_TAG NCLOB,
FCONTENT NCLOB DEFAULT ' ',
FCHARTSTYLEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_PERSONALSTYLE_L') 
 CREATE TABLE T_HOMS_PERSONALSTYLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
