IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGDIFFTEMP') 
 CREATE TABLE T_HOMS_ORGDIFFTEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FESTABLISHMENTDATE DATETIME,
FADMINORGTYPEID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCORPORATEORGID BIGINT DEFAULT 0 NOT NULL,
FTOBEDISABLEFLAG VARCHAR(2) DEFAULT '0' NOT NULL,
FTOBEDISABLEDATE DATETIME,
FADMINORGLAYERID BIGINT DEFAULT 0 NOT NULL,
FADMINORGFUNCTIONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYAREAID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 999 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANYTYPEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FGROUPVISION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPMISSION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONING NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSAFELEVELID BIGINT DEFAULT 0 NOT NULL,
FSAFETYPEID BIGINT DEFAULT 0 NOT NULL,
FSAFEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCOMPANYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPLEADER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSTRUCTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FINTEGRATIONDATE DATETIME,
FISFREEZE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGDIFFTEMP_L') 
 CREATE TABLE T_HOMS_ORGDIFFTEMP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSINESSADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPVISION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPMISSION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPOSITIONING NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINDUTY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSAFEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPLEADER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGDIFFSTRUCT') 
 CREATE TABLE T_HOMS_ORGDIFFSTRUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSTRUCTLONGNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET VARCHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' C' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL
);