﻿/**Begin D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGRECORD') 
 CREATE TABLE T_HOMS_ORGCHGRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINITDATASOURCE VARCHAR(2) DEFAULT '0' NOT NULL,
FINITSTATUS VARCHAR(2) DEFAULT '2' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL,
FADMINORGBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGENTRY') 
 CREATE TABLE T_HOMS_ORGCHGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCHGEFFECTTIME DATETIME,
FCHANGESCENEID BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONTIME DATETIME,
FCHGBILLID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGCHGENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGENTRY_L') 
 CREATE TABLE T_HOMS_ORGCHGENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOMS_ORGCHGDETAIL') 
 CREATE TABLE T_HOMS_ORGCHGDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FCHGENTITYNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHGPAGEELEMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBEFORECHGENTITYID BIGINT DEFAULT 0 NOT NULL,
FAFTERCHGENTITYID BIGINT DEFAULT 0 NOT NULL,
FCOOPRELTYPEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HOMS_table.sql **/
